stages:
  - install
  - test
  - deploy

install:
  stage: install
  image: node:14
  script:
    - npm ci
  artifacts:
    paths:
      - node_modules
    expire_in: 1 week


lint:
  stage: test
  image: node:14
  dependencies:
    - install
  script:
    - npm run lint

test:
  stage: test
  image: node:14
  dependencies:
    - install
  script:
    - npm run test
  artifacts:
    paths:
      - coverage